Bug 217345 - [New Port] www/rubygem-gollum A simple, Git-powered wiki
Summary: [New Port] www/rubygem-gollum A simple, Git-powered wiki
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on: 217343 217344
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-25 09:34 UTC by Sir l33tname
Modified: 2017-03-16 11:20 UTC (History)
3 users (show)

See Also:
sirl33tname: maintainer-feedback? (ruby)


Attachments
svn diff for www/rubygem-gollum (7.33 KB, patch)
2017-02-25 09:34 UTC, Sir l33tname
no flags Details | Diff
Poudriere testport output (30.33 KB, text/x-log)
2017-02-25 09:34 UTC, Sir l33tname
no flags Details
svn diff for www/rubygem-gollum (7.22 KB, patch)
2017-03-12 13:41 UTC, Sir l33tname
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sir l33tname 2017-02-25 09:34:12 UTC
Created attachment 180281 [details]
svn diff for www/rubygem-gollum
Comment 1 Sir l33tname 2017-02-25 09:34:39 UTC
Created attachment 180282 [details]
Poudriere testport output
Comment 2 Sir l33tname 2017-03-12 13:41:36 UTC
Created attachment 180745 [details]
svn diff for www/rubygem-gollum
Comment 3 commit-hook freebsd_committer 2017-03-15 17:50:54 UTC
A commit references this bug:

Author: swills
Date: Wed Mar 15 17:50:11 UTC 2017
New revision: 436255
URL: https://svnweb.freebsd.org/changeset/ports/436255

Log:
  www/rubygem-gollum: create port

  A simple, Git-powered wiki with a sweet API and local frontend.

  WWW: https://github.com/gollum/gollum

  PR:		217345
  Submitted by:	Sir l33tname <sirl33tname@gmail.com>

Changes:
  head/www/Makefile
  head/www/rubygem-gollum/
  head/www/rubygem-gollum/Makefile
  head/www/rubygem-gollum/distinfo
  head/www/rubygem-gollum/files/
  head/www/rubygem-gollum/files/gollum.in
  head/www/rubygem-gollum/files/patch-gollum.gemspec
  head/www/rubygem-gollum/pkg-descr
Comment 4 Steve Wills freebsd_committer 2017-03-15 18:01:52 UTC
Committed, thanks! 

May want to have this create the dir that's the default in the rc script, and possibly run as a different user, but this is a good start.